Update a privacy request | DataGrail Documentation
Update a privacy request
PUT https://www.example.com/api/v2/privacy_requests/:id
Request
Path Parameters
id string required
The UUID of the privacy request (36 character string).
Example: 80edbafc-4ec6-45a0-b341-73080457890e
Header Parameters
authorization string required
Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9
- application/json
Body
skip_results_email boolean
Flag to indicate if the final notification email should be skipped after processing a request.
Example: true
{
"skip_results_email": "true"
}
Responses
- 200
- 400
- 401
- 404
Privacy Request updated
- application/json
Schema
data object
id string
The unique identifier of the request.
Example: 967e34da-4863-4fcf-842d-176dd102d032
created_at string
Datetime of when the privacy request was created.
Example: 2024-08-09T21:14:49.444Z
due_date string
Date of when the privacy request is due.
Example: 2024-08-09
origin string
The origin of the request.
Possible values: [api, application, email, intake_form, internal_intake_form, phone]
Example: intake_form
locale string
The locale of the request for the language that the request was submitted in
Example: es
privacy_right string
The type of request that was made.
Possible values: [access, access_categories, data_portability, deletion, disclosure, pause_processing, rectification, sale_disclosure, third_party_disclosure]
Example: access
privacy_request_policy object
id string
The unique identifier of the privacy request policy.
Example: 967e34da-4863-4fcf-842d-176dd102d032
name string
The external facing name of the request policy.
Example: US Standard Policy
metadata object
The metadata associated with the request. Will include additional information about the request and the data subject.
If submitted through an intake form, data subject specific information will be included in the intake_data field.
identifiers object[]
The identifiers associated with the request.
Array [
name string
The name of the identifier.
Example: email
value string
The value of the identifier.
Example: john@example.com
required boolean
Example: true
]
intake_data object
The intake data associated with the request.
If submitted through an intake form, data subject specific information will be included here.
submitted_by string
The person who submitted the request.
Possible values: [application, authorized_agent, data_subject]
Example: data_subject
status string
The status of the request.
Example: open
skip_results_email boolean
Flag to indicate if the final notification email should be skipped after processing a request.
Default value: false
Example: false
{
"data": {
"id": "967e34da-4863-4fcf-842d-176dd102d032",
"created_at": "2024-08-09T21:14:49.444Z",
"due_date": "2024-08-09",
"origin": "intake_form",
"locale": "es",
"privacy_right": "access",
"privacy_request_policy": {
"id": "967e34da-4863-4fcf-842d-176dd102d032",
"name": "US Standard Policy"
},
"metadata": {
"detected_country_code": "US",
"detected_sub_region_code_1": "CA"
},
"identifiers": [
{
"name": "email",
"value": "john@example.com",
"required": true
}
],
"intake_data": {
"first_name": "Guinevere",
"last_name": "Camelot",
"reported_country_code": "CA",
"reported_sub_region_code_1": "QB",
"favorite_colors": [
"Red",
"Blue"
]
},
"submitted_by": "data_subject",
"status": "open",
"skip_results_email": false
}
}
Errors
- Bad Request
- Unauthorized
- Privacy Request was not found
CURL Example
curl -L -X PUT 'https://www.example.com/api/v2/privacy_requests/:id' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-d '{
"skip_results_email": "true"
}'